CDSA

Weekend Vulnerability and Patch Report, Nov. 20, 2016 (Citadel Information Group)

[svg-table-content]

Important Security Updates

Foxit Reader: Foxit has released version 8.1.1.1115 of its Reader to fix six highly critical vulnerabilities. Updates are available on Foxit Software’s website.

Google Drive: Google has released version 1.32.3889.0961 of its Google Drive. Updates are available from Google’s website.

LastPass: LastPass has released version 4.1.33. Updates are available from LastPass’ website.

Malwarebytes: Malwarebytes has released version 1.09.1.1261. Updates are available from Malwarebytes website.

Mozilla Firefox: Mozilla has released version 50.0. Updates are available within the browser or from Mozilla’s website.

Panda Free Antivirus: Panda Free Antivirus has released version 18.0.0. Updates are available on Panda Security’s website.

Piriform CCleaner: Piriform has released version 5.24.5841 for CCleaner. Updates are available from Piriform’s website.

Skype: Skype has released Skype 7.30.85.103. Updates are available from the program or Skype’s website.

Symantec: Symantec has released security updates for many of its products including Norton, IT Management Suite, Ghost Solution Suite, Endpoint Virtualization. While some products are updated automatically, others may require manual intervention. Additional details are available at Symantec’s website.

VMware Player: VMware has released version 12.5.2 of its player. Updates are available from VMware’s website.

Current Software Versions

Adobe Flash 23.0.0.207

Adobe Reader DC 2015.020.20039

Dropbox 14.4.19 [Citadel warns against relying on security of Dropbox or other cloud-based file exchange systems. We recommend files containing sensitive information be independently encrypted with a program like Axcrypt; encryption keys be at least 15 characters long; and the master Dropbox [or other] password be at least 15 characters long and different from other passwords.]

Firefox 50.0 [Windows]

Google Chrome 54.0.2840.99

Internet Explorer 11.0.9600.18525

Java SE 8 Update 111 [Citadel recommends removing or disabling Java from your browser. Java is a major source of cyber criminal exploits. It is not needed for most internet browsing. If you have a particular web site that requires Java, Citadel recommends using a two-browser approach to minimize risk. If you normally browse the Web with Firefox, for example, disable the Java plugin in Firefox and use an alternative browser — such as Chrome, IE9, Safari, etc — with Java enabled to browse only the sites that require it.]

Microsoft Edge 38.14393

QuickTime 7.7.9 [Citadel recommends removing QuickTime. On April 14, US-CERT advised Microsoft Windows users to remove QuickTime. This followed a report in ars technica that Apple has no plans to update the Windows app despite at least two reliable QuickTime vulnerabilities that threaten Windows users who still have the program installed.]

Safari 9.1.3 [Mac OS X Mavericks, Yosemite, El Capitan]

Skype 7.30.85.103

For Your IT Department

Cisco Multiple Products: Cisco reports patched vulnerabilities in its IOS XE, Adaptive Security Appliance (ASA), ASR 5000 Series routers, AsyncOS Software for Cisco Email Security Appliances, FTP Representational State Transfer Application Programming Interface (REST API) for Cisco Firepower System Software, Unified Communication Manager (CallManager), and OpenSSL affecting Cisco Products. Apply updates. Additional details are available at Cisco’s website.

VMware:  VMware has released updates for its vRealize Operations, VMware Workstation and Fusion. Apply updates.  Additional details are available at available at VMware’s website.